Debian Bug report logs - #606297
imagemagick: FTBFS: collect2: ld returned 1 exit status

version graph

Package: src:imagemagick; Maintainer for src:imagemagick is ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 8 Dec 2010 08:39:18 UTC

Severity: important

Tags: confirmed, sid, squeeze, wheezy

Merged with 593041

Found in versions imagemagick/8:6.6.0.4-2.2, imagemagick/8:6.6.0.4-3

Fixed in version imagemagick/8:6.6.9.7-5

Done: Bastien Roucari├Ęs <roucaries.bastien+debian@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18592

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#606297; Package src:imagemagick. (Wed, 08 Dec 2010 08:39:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Wed, 08 Dec 2010 08:39:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: imagemagick: FTBFS: collect2: ld returned 1 exit status
Date: Wed, 8 Dec 2010 09:09:57 +0100
Source: imagemagick
Version: 8:6.6.0.4-3
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20101207 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> cc  -L../magick/.libs -lMagickCore -shared -O2 -g -L/usr/local/lib -fstack-protector -L/usr/lib/X11 Magick.o  -o blib/arch/auto/Image/Magick/Magick.so 	\
> 	   -lperl -lm  	\
> 	  
> chmod 755 blib/arch/auto/Image/Magick/Magick.so
> Manifying blib/man3/Image::Magick.3pm
> make[1]: Leaving directory `/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/PerlMagick'
> touch build-stamp
>  /usr/bin/fakeroot debian/rules binary
> dh_testdir
> dh_testdir
> dh_testroot
> # Only run the testsuite to get more info in the build logs for now,
> # but don't make a failing testsuite fail the whole build. Change it
> # to a fatal error only once we've got an estimate on how harmful
> # that would be.
> dh_prep
> dh_installdirs
> /usr/bin/make install \
> 		DESTDIR="/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp" \
> 		pkgdocdir=/usr/share/doc/imagemagick
> make[1]: Entering directory `/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4'
> /usr/bin/make  check-am
> make[1]: Entering directory `/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4'
> /usr/bin/make  install-am
> make[2]: Entering directory `/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4'
> /usr/bin/make  tests/validate Magick++/demo/analyze Magick++/demo/button Magick++/demo/demo Magick++/demo/detrans Magick++/demo/flip Magick++/demo/gravity Magick++/demo/piddle Magick++/demo/shapes Magick++/demo/zoom Magick++/tests/appendImages Magick++/tests/attributes Magick++/tests/averageImages Magick++/tests/coalesceImages Magick++/tests/coderInfo Magick++/tests/color Magick++/tests/colorHistogram Magick++/tests/exceptions Magick++/tests/montageImages Magick++/tests/morphImages Magick++/tests/readWriteBlob Magick++/tests/readWriteImages wand/drawtest wand/wandtest
> make[2]: Entering directory `/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4'
> make[3]: Entering directory `/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4'
>   CC     wand/drawtest.o
>   CC     wand/wandtest.o
>   CC     tests/tests_validate-validate.o
>   CXX    Magick++/demo/analyze.o
>   CXX    Magick++/demo/button.o
>   CXX    Magick++/demo/demo.o
>   CXX    Magick++/demo/detrans.o
>   CXX    Magick++/demo/flip.o
>   CXX    Magick++/demo/gravity.o
>   CXX    Magick++/demo/piddle.o
>   CXX    Magick++/demo/shapes.o
> make[3]: Entering directory `/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4'
> test -z "/usr/lib" || /bin/mkdir -p "/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib"
>  /bin/bash ./libtool   --mode=install /usr/bin/install -c   magick/libMagickCore.la wand/libMagickWand.la Magick++/lib/libMagick++.la '/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib'
> libtool: install: /usr/bin/install -c magick/.libs/libMagickCore.so.3.0.0 /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib/libMagickCore.so.3.0.0
>   CXX    Magick++/demo/zoom.o
> libtool: install: (cd /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib && { ln -s -f libMagickCore.so.3.0.0 libMagickCore.so.3 || { rm -f libMagickCore.so.3 && ln -s libMagickCore.so.3.0.0 libMagickCore.so.3; }; })
> libtool: install: (cd /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib && { ln -s -f libMagickCore.so.3.0.0 libMagickCore.so || { rm -f libMagickCore.so && ln -s libMagickCore.so.3.0.0 libMagickCore.so; }; })
> libtool: install: /usr/bin/install -c magick/.libs/libMagickCore.lai /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib/libMagickCore.la
>   CXX    Magick++/tests/appendImages.o
> libtool: install: warning: relinking `wand/libMagickWand.la'
>   CXX    Magick++/tests/attributes.o
> libtool: install: (cd /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4; /bin/bash /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/libtool  --silent --tag CC --mode=relink gcc -std=gnu99 -std=gnu99 -I/usr/include/lqr-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -fopenmp -g -O2 -Wall -W -pthread -no-undefined -export-symbols-regex ".*" -version-info 3:0:0 -L/usr/lib/X11 -o wand/libMagickWand.la -rpath /usr/lib wand/wand_libMagickWand_la-animate.lo wand/wand_libMagickWand_la-compare.lo wand/wand_libMagickWand_la-composite.lo wand/wand_libMagickWand_la-conjure.lo wand/wand_libMagickWand_la-convert.lo wand/wand_libMagickWand_la-deprecate.lo wand/wand_libMagickWand_la-display.lo wand/wand_libMagickWand_la-drawing-wand.lo wand/wand_libMagickWand_la-identify.lo wand/wand_libMagickWand_la-import.lo wand/wand_libMagickWand_la-magick-image.lo wand/wand_libMagickWand_la-magick-property.lo wand/wand_libMagickWand_la-magick-wand.lo wand/wand_libMagickWand_la-mogrify.lo wand/wand_libMagickWand_la-montage.lo wand/wand_libMagickWand_la-pixel-iterator.lo wand/wand_libMagickWand_la-pixel-view.lo wand/wand_libMagickWand_la-pixel-wand.lo wand/wand_libMagickWand_la-stream.lo wand/wand_libMagickWand_la-wand.lo magick/libMagickCore.la -lSM -lICE -lX11 -lgomp -lm -inst-prefix-dir /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp)
>   CXX    Magick++/tests/averageImages.o
>   CXX    Magick++/tests/coalesceImages.o
>   CXX    Magick++/tests/coderInfo.o
>   CXX    Magick++/tests/color.o
> test -z "/usr/bin" || /bin/mkdir -p "/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/bin"
>  /usr/bin/install -c magick/Magick-config magick/MagickCore-config wand/Wand-config wand/MagickWand-config Magick++/bin/Magick++-config '/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/bin'
> cd PerlMagick && /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
> test -z "/usr/lib/ImageMagick-6.6.0/modules-Q16/coders" || /bin/mkdir -p "/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib/ImageMagick-6.6.0/modules-Q16/coders"
> Warning: -L../magick/.libs changed to -L/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/PerlMagick/../magick/.libs
> Writing Makefile for Image::Magick
>  /bin/bash ./libtool   --mode=install /usr/bin/install -c   coders/art.la coders/avs.la coders/bmp.la coders/braille.la coders/cals.la coders/caption.la coders/cin.la coders/cip.la coders/clip.la coders/cmyk.la coders/cut.la coders/dcm.la coders/dds.la coders/dib.la coders/dng.la coders/dot.la coders/dpx.la coders/fax.la coders/fits.la coders/gif.la coders/gradient.la coders/gray.la coders/hald.la coders/histogram.la coders/hrz.la coders/html.la coders/icon.la coders/info.la coders/inline.la coders/ipl.la coders/label.la coders/magick.la coders/map.la coders/mat.la coders/matte.la coders/meta.la coders/miff.la coders/mono.la coders/mpc.la coders/mpeg.la coders/mpr.la coders/msl.la coders/mtv.la coders/mvg.la coders/null.la coders/otb.la coders/palm.la coders/pattern.la coders/pcd.la coders/pcl.la coders/pcx.la coders/pdb.la coders/pdf.la coders/pes.la coders/pict.la coders/pix.la coders/plasma.la coders/pnm.la coders/preview.la coders/ps.la coders/ps2.la coders/ps3.la coders/psd.la coders/pwp.la coders/raw.la coders/rgb.la coders/rla.la coders/rle.la coders/scr.la coders/sct.la coders/sfw.la coders/sgi.la coders/stegano.la coders/sun.la coders/svg.la coders/tga.la coders/thumbnail.la coders/tile.la coders/tim.la coders/ttf.la coders/txt.la coders/uil.la coders/url.la coders/uyvy.la coders/vicar.la coders/vid.la coders/viff.la coders/wbmp.la coders/wpg.la coders/xbm.la coders/xc.la coders/xcf.la coders/xpm.la coders/xps.la coders/ycbcr.la coders/yuv.la coders/djvu.la coders/exr.la coders/jpeg.la coders/jp2.la coders/png.la coders/ept.la coders/tiff.la coders/wmf.la coders/x.la coders/xwd.la '/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib/ImageMagick-6.6.0/modules-Q16/coders'
>   CXX    Magick++/tests/colorHistogram.o
>   CXX    Magick++/tests/exceptions.o
>   CXX    Magick++/tests/montageImages.o
> libtool: install: warning: relinking `coders/art.la'
> libtool: install: (cd /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4; /bin/bash /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/libtool  --silent --tag CC --mode=relink gcc -std=gnu99 -std=gnu99 -I/usr/include/lqr-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -fopenmp -g -O2 -Wall -W -pthread -no-undefined -export-symbols-regex ".*" -shared -module -avoid-version -L/usr/lib/X11 -o coders/art.la -rpath /usr/lib/ImageMagick-6.6.0/modules-Q16/coders coders/coders_art_la-art.lo magick/libMagickCore.la -inst-prefix-dir /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp)
>   CXX    Magick++/tests/morphImages.o
>   CXX    Magick++/tests/readWriteBlob.o
>   CXX    Magick++/tests/readWriteImages.o
> libtool: install: /usr/bin/install -c wand/.libs/libMagickWand.so.3.0.0T /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib/libMagickWand.so.3.0.0
> libtool: install: (cd /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib && { ln -s -f libMagickWand.so.3.0.0 libMagickWand.so.3 || { rm -f libMagickWand.so.3 && ln -s libMagickWand.so.3.0.0 libMagickWand.so.3; }; })
> libtool: install: (cd /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib && { ln -s -f libMagickWand.so.3.0.0 libMagickWand.so || { rm -f libMagickWand.so && ln -s libMagickWand.so.3.0.0 libMagickWand.so; }; })
> libtool: install: /usr/bin/install -c wand/.libs/libMagickWand.lai /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib/libMagickWand.la
>   CCLD   wand/drawtest
> libtool: install: warning: relinking `Magick++/lib/libMagick++.la'
> libtool: install: (cd /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4; /bin/bash /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/libtool  --silent --tag CXX --mode=relink g++ -g -O2 -Wall -W -pthread -no-undefined -version-info 3:0:0 -L/usr/lib/X11 -o Magick++/lib/libMagick++.la -rpath /usr/lib Magick++/lib/Blob.lo Magick++/lib/BlobRef.lo Magick++/lib/CoderInfo.lo Magick++/lib/Color.lo Magick++/lib/Drawable.lo Magick++/lib/Exception.lo Magick++/lib/Functions.lo Magick++/lib/Geometry.lo Magick++/lib/Image.lo Magick++/lib/ImageRef.lo Magick++/lib/Montage.lo Magick++/lib/Options.lo Magick++/lib/Pixels.lo Magick++/lib/STL.lo Magick++/lib/Thread.lo Magick++/lib/TypeMetric.lo magick/libMagickCore.la wand/libMagickWand.la -inst-prefix-dir /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp)
>   CCLD   wand/wandtest
> test -z "/usr/lib/ImageMagick-6.6.0/config/" || /bin/mkdir -p "/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib/ImageMagick-6.6.0/config/"
>  /usr/bin/install -c -m 644 config/configure.xml config/delegates.xml config/english.xml config/francais.xml config/locale.xml config/policy.xml config/type.xml config/type-dejavu.xml config/type-ghostscript.xml config/type-windows.xml '/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib/ImageMagick-6.6.0/config/'
> test -z "/usr/share/ImageMagick-6.6.0/config" || /bin/mkdir -p "/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/ImageMagick-6.6.0/config"
> /bin/bash ./config/mkinstalldirs /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/include/ImageMagick/magick
>  /usr/bin/install -c -m 644 config/coder.xml config/colors.xml config/log.xml config/magic.xml config/mime.xml config/sRGB.icm config/thresholds.xml '/build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/ImageMagick-6.6.0/config'
> mkdir -p -- /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/include/ImageMagick/magick
> /usr/bin/install -c -m 644 magick/magick-config.h /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/include/ImageMagick/magick/magick-config.h
>   CCLD   tests/validate
> /bin/bash ./config/mkinstalldirs /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick
>   CXXLD  Magick++/demo/analyze
> mkdir -p -- /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick
> /usr/bin/install -c -m 644 ./index.html /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick
> mkdir -p -- /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/affine.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/arc.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/background.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/black.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> libtool: install: /usr/bin/install -c coders/.libs/art.soT /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib/ImageMagick-6.6.0/modules-Q16/coders/art.so
> libtool: install: /usr/bin/install -c coders/.libs/art.lai /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/lib/ImageMagick-6.6.0/modules-Q16/coders/art.la
> /usr/bin/install -c -m 644 ./images/bluebells_clipped.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> libtool: install: warning: relinking `coders/avs.la'
>   CXXLD  Magick++/demo/button
> libtool: install: (cd /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4; /bin/bash /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/libtool  --silent --tag CC --mode=relink gcc -std=gnu99 -std=gnu99 -I/usr/include/lqr-1 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -fopenmp -g -O2 -Wall -W -pthread -no-undefined -export-symbols-regex ".*" -shared -module -avoid-version -L/usr/lib/X11 -o coders/avs.la -rpath /usr/lib/ImageMagick-6.6.0/modules-Q16/coders coders/coders_avs_la-avs.lo magick/libMagickCore.la -inst-prefix-dir /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp)
> /usr/bin/install -c -m 644 ./images/bluebells_darker.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/bluebells_lin.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/bluebells_log.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/button.gif /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/configure.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/definitive-guide.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/difference.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/examples.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/frame.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/fuzzy-magick.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/gaussian-blur.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/granite.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/imade_art2.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/label.gif /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/logo.eps /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/logo.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/montage.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/navy.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/networkredux.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/piechart.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/project-support.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/radial-gradient.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/reconstruct.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/red-ball.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
>   CXXLD  Magick++/demo/demo
> /usr/bin/install -c -m 644 ./images/red-circle.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/right.gif /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/rose-over.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/rose-sigmoidal.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
>   CXXLD  Magick++/demo/detrans
> /usr/bin/install -c -m 644 ./images/rose.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
>   CXXLD  Magick++/demo/flip
> /usr/bin/install -c -m 644 ./images/rose.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/rose.pnm /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/script.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/smile.gif /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/sponsor.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/sprite.jpg /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/t-shirt.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/tricks.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/wand.ico /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> /usr/bin/install -c -m 644 ./images/white-highlight.png /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/images
> mkdir -p -- /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/www
> /usr/bin/install -c -m 644 ./www/ImageMagickObject.html /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/www
> /usr/bin/install -c -m 644 ./www/advanced-unix-installation.html /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/www
> /usr/bin/install -c -m 644 ./www/advanced-windows-installation.html /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/www
> /usr/bin/install -c -m 644 ./www/animate.html /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/www
> /usr/bin/install -c -m 644 ./www/api.html /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/www
> /usr/bin/install -c -m 644 ./www/architecture.html /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/www
> /usr/bin/install -c -m 644 ./www/binary-releases.html /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/www
> /usr/bin/install -c -m 644 ./www/changelog.html /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/www
> /usr/bin/install -c -m 644 ./www/cipher.html /build/user-imagemagick_6.6.0.4-3-amd64-WtnxML/imagemagick-6.6.0.4/debian/tmp/usr/share/doc/imagemagick/www
> Magick++/lib/.libs/libMagick++.so: file not recognized: File truncated
> collect2: ld returned 1 exit status

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/12/07/imagemagick_8:6.6.0.4-3_lsqueeze64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#606297; Package src:imagemagick. (Wed, 08 Dec 2010 09:09:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Wed, 08 Dec 2010 09:09:25 GMT) Full text and rfc822 format available.

Message #10 received at 606297@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 606292@bugs.debian.org, 606293@bugs.debian.org, 606294@bugs.debian.org, 606295@bugs.debian.org, 606296@bugs.debian.org, 606297@bugs.debian.org, 606298@bugs.debian.org
Subject: test done in squeeze, not sid
Date: Wed, 8 Dec 2010 09:42:59 +0100
Hi,

Despite what the report says, the build test was done in testing, not in
unstable. So the failure is seen in testing, and possibly not in
unstable.

- Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#606297; Package src:imagemagick. (Wed, 08 Dec 2010 11:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Wed, 08 Dec 2010 11:21:05 GMT) Full text and rfc822 format available.

Message #15 received at 606297@bugs.debian.org (full text, mbox):

From: "Nelson A. de Oliveira" <naoliv@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 606297@bugs.debian.org
Subject: Re: Bug#606297: imagemagick: FTBFS: collect2: ld returned 1 exit status
Date: Wed, 8 Dec 2010 09:18:45 -0200
Hi Lucas!

On Wed, Dec 8, 2010 at 6:09 AM, Lucas Nussbaum <lucas@lucas-nussbaum.net> wrote:
> During a rebuild of all packages in sid, your package failed to build on
> amd64.

I cannot reproduce it here in a squeeze chroot.
Could it be a temporary problem in your building environment?

Thank you!

Best regards,
Nelson




Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#606297; Package src:imagemagick. (Wed, 08 Dec 2010 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Wed, 08 Dec 2010 12:03:03 GMT) Full text and rfc822 format available.

Message #20 received at 606297@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: "Nelson A\. de Oliveira" <naoliv@debian.org>
Cc: 606297@bugs.debian.org
Subject: Re: Bug#606297: imagemagick: FTBFS: collect2: ld returned 1 exit status
Date: Wed, 8 Dec 2010 13:01:01 +0100
On 08/12/10 at 09:18 -0200, Nelson A. de Oliveira wrote:
> Hi Lucas!
> 
> On Wed, Dec 8, 2010 at 6:09 AM, Lucas Nussbaum <lucas@lucas-nussbaum.net> wrote:
> > During a rebuild of all packages in sid, your package failed to build on
> > amd64.
> 
> I cannot reproduce it here in a squeeze chroot.
> Could it be a temporary problem in your building environment?

Please post your build log so we can diff them.

L.




Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#606297; Package src:imagemagick. (Wed, 08 Dec 2010 13:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Wed, 08 Dec 2010 13:18:06 GMT) Full text and rfc822 format available.

Message #25 received at 606297@bugs.debian.org (full text, mbox):

From: "Nelson A. de Oliveira" <naoliv@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 606297@bugs.debian.org
Subject: Re: Bug#606297: imagemagick: FTBFS: collect2: ld returned 1 exit status
Date: Wed, 8 Dec 2010 11:14:42 -0200
Hi!

On Wed, Dec 8, 2010 at 10:01 AM, Lucas Nussbaum
<lucas@lucas-nussbaum.net> wrote:
> Please post your build log so we can diff them.

Available at http://people.debian.org/~naoliv/misc/imagemagick/imagemagick_6.6.0.4-3_amd64.build.txt

Best regards,
Nelson




Severity set to 'important' from 'serious' Request was from Nelson A. de Oliveira <naoliv@debian.org> to control@bugs.debian.org. (Thu, 09 Dec 2010 23:42:03 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:56 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#606297; Package src:imagemagick. (Tue, 01 Mar 2011 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Len Sorensen <lennartsorensen@ruggedcom.com>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Tue, 01 Mar 2011 16:33:04 GMT) Full text and rfc822 format available.

Message #34 received at 606297@bugs.debian.org (full text, mbox):

From: Len Sorensen <lennartsorensen@ruggedcom.com>
To: Debian Bug Tracking System <606297@bugs.debian.org>
Subject: Re: FTBFS: collect2: ld returned 1 exit status
Date: Tue, 1 Mar 2011 11:24:06 -0500
Package: imagemagick
Version: 8:6.6.0.4-3
Severity: normal

I have seen this too.  I am building on an 8 core xeon.  If I use
DEB_BUILD_OPTIONS=parallel=8, then it almost never fails.  If I use
DEB_BUILD_OPTIONS=parallel=16 then it almost always fails.

So there is some race condition in the imagemagick makefiles that makes
it not safe to build in parallel.  The race is only triggered with enough
parallelism it seems.  It seems it results in something trying to use
libMagick++.so before it is actually fully written.

I can provide logs from both a working parallel=8 and a broken parallel=16
run if that would help.

It fails on squeeze, wheezy and sid in the same way.  This is absolutely
a problem in imagemagick's makefiles when doing parallel building in
my opinion.  Having found other similar reports from gentoo users and
others where it failed to build with more parallelism in the past seems
to agree with that.

The simple fix of course is to not use parallel building.  A real fix
would involve getting upstreams makefiles fixed.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages imagemagick depends on:
ii  libbz2-1.0              1.0.5-6          high-quality block-sorting file co
ii  libc6                   2.11.2-12        Embedded GNU C Library: Shared lib
ii  libfontconfig1          2.8.0-2.1        generic font configuration library
ii  libfreetype6            2.4.4-1          FreeType 2 font engine, shared lib
ii  libglib2.0-0            2.28.1-1+b1      The GLib library of C routines
ii  libgomp1                4.5.2-4          GCC OpenMP (GOMP) support library
ii  libice6                 2:1.0.7-1        X11 Inter-Client Exchange library
ii  libjpeg62               6b1-1            The Independent JPEG Group's JPEG 
ii  liblcms1                1.18.dfsg-1.2+b3 Color management library
ii  liblqr-1-0              0.4.1-1          converts plain array images into m
ii  libltdl7                2.2.6b-2         A system independent dlopen wrappe
ii  libmagickcore3          8:6.6.0.4-3      low-level image manipulation libra
ii  libmagickwand3          8:6.6.0.4-3      image manipulation library
ii  libsm6                  2:1.2.0-1        X11 Session Management library
ii  libtiff4                3.9.4-5          Tag Image File Format (TIFF) libra
ii  libx11-6                2:1.4.1-5        X11 client-side library
ii  libxext6                2:1.2.0-2        X11 miscellaneous extension librar
ii  libxt6                  1:1.0.9-2        X11 toolkit intrinsics library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages imagemagick recommends:
ii  ghostscript               9.01~dfsg-2    interpreter for the PostScript lan
ii  libmagickcore3-extra      8:6.6.0.4-3    low-level image manipulation libra
ii  netpbm                    2:10.0-12.2+b1 Graphics conversion tools between 
ii  ufraw-batch               0.18-1         batch importer for raw camera imag

Versions of packages imagemagick suggests:
pn  autotrace      <none>                    (no description available)
ii  cups-bsd [lpr] 1.4.6-1                   Common UNIX Printing System(tm) - 
ii  curl           7.21.3-1                  Get a file from an HTTP, HTTPS or 
pn  enscript       <none>                    (no description available)
pn  ffmpeg         <none>                    (no description available)
ii  gimp           2.6.11-1                  The GNU Image Manipulation Program
ii  gnuplot        4.4.0-1.1                 A command-line driven interactive 
pn  grads          <none>                    (no description available)
ii  groff-base     1.21-4                    GNU troff text-formatting system (
pn  hp2xx          <none>                    (no description available)
pn  html2ps        <none>                    (no description available)
pn  imagemagick-do <none>                    (no description available)
ii  libwmf-bin     0.2.8.4-6.1+b1            Windows metafile conversion tools
ii  mplayer        3:1.0~rc4+svn20110225-0.0 The Ultimate Movie Player For Linu
pn  povray         <none>                    (no description available)
pn  radiance       <none>                    (no description available)
ii  sane-utils     1.0.22-1                  API library for scanners -- utilit
ii  texlive-binari 2009-8                    Binaries for TeX Live
pn  transfig       <none>                    (no description available)
ii  xdg-utils      1.1.0~rc1-2               desktop integration utilities from

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#606297; Package src:imagemagick. (Thu, 21 Apr 2011 12:22:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Thu, 21 Apr 2011 12:22:39 GMT) Full text and rfc822 format available.

Message #39 received at 606297@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 606297@bugs.debian.org
Subject: [src:imagemagick]
Date: Thu, 21 Apr 2011 14:13:18 +0200
forcemerge 606297 593041
forwarded 606297 http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18592
tags 606297 + confirmed 
tags 606297+ upstream
thanks

Thanks for debugging




Forcibly Merged 593041 606297. Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Thu, 21 Apr 2011 12:24:44 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18592'. Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Thu, 21 Apr 2011 12:24:45 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Thu, 21 Apr 2011 12:24:46 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#606297; Package src:imagemagick. (Fri, 22 Apr 2011 16:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Fri, 22 Apr 2011 16:03:04 GMT) Full text and rfc822 format available.

Message #50 received at 606297@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 606297@bugs.debian.org
Subject: [src:imagemagick] further debug
Date: Fri, 22 Apr 2011 17:57:51 +0200
Package: src:imagemagick

Upstream is unable to debug. Could you retry with mentors version ? And try to build with remake if it fail ?

Bastien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 18 Aug 2011 07:35:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 13:10:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.